Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 656826 - media-sound/mumble, media-sound/murmur depend on deprecated Qt4
Summary: media-sound/mumble, media-sound/murmur depend on deprecated Qt4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL: https://github.com/mumble-voip/mumble...
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: qt4-removal
  Show dependency tree
 
Reported: 2018-05-29 07:46 UTC by Andreas Sturmlechner
Modified: 2018-08-07 07:27 UTC (History)
11 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2018-05-29 07:46:21 UTC
Qt4 is dead (for 3 years) and going away. If these packages do not port to Qt5 in time we may need to consider dropping releases.
Comment 1 Larry the Git Cow gentoo-dev 2018-06-27 19:00:56 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b5d54d2ee04837b3e8df2289eece9520273f9d91

commit b5d54d2ee04837b3e8df2289eece9520273f9d91
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-06-02 14:19:19 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-06-27 19:00:21 +0000

    profiles: Mask mumble USE flag
    
    Bug: https://bugs.gentoo.org/656826

 profiles/base/use.mask | 4 ++++
 1 file changed, 4 insertions(+)
Comment 2 Andreas Sturmlechner gentoo-dev 2018-06-27 19:15:05 UTC
Versions <1.3 were masked for removal, USE=mumble was masked.
Comment 3 Hedin Ejdesgaard Møller 2018-07-14 15:53:13 UTC
mumble client 1.3.0 current status.
https://github.com/mumble-voip/mumble/issues/2728
Comment 4 Bernd Buschinski 2018-07-16 17:17:04 UTC
How about making a snapshot and mark it testing? To get rid of the Qt4 stuff? :)
Comment 5 Larry the Git Cow gentoo-dev 2018-08-07 07:27:59 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca35690759de9af60e467999e97a33999e33e574

commit ca35690759de9af60e467999e97a33999e33e574
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-07-01 17:00:11 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-08-07 07:27:05 +0000

    profiles: Last-rited media-sound/mu{mble,rmur}, net-analyzer/ostinato
    
    Closes: https://bugs.gentoo.org/644374
    Closes: https://bugs.gentoo.org/656826
    Closes: https://bugs.gentoo.org/655382
    Package-Manager: Portage-2.3.41, Repoman-2.3.9

 media-sound/mumble/Manifest                        |   1 -
 .../files/mumble-1.2.4-speech-dispatcher.patch     |  49 --------
 media-sound/mumble/mumble-1.2.19.ebuild            | 122 -------------------
 media-sound/murmur/Manifest                        |   1 -
 .../files/murmur-1.2.17-ice-3.6.3-compat.patch     |  11 --
 media-sound/murmur/murmur-1.2.19.ebuild            | 130 ---------------------
 net-analyzer/ostinato/Manifest                     |   3 -
 net-analyzer/ostinato/ostinato-0.5.1.ebuild        |  25 ----
 net-analyzer/ostinato/ostinato-0.8.ebuild          |  25 ----
 net-analyzer/ostinato/ostinato-0.9.ebuild          |  27 -----
 profiles/package.mask                              |   6 -
 11 files changed, 400 deletions(-)